#include <stdio.h>

/* binsearch: find x in v[0] <= v[1] <= ... <= v[n-1]
   return the position starting at zerp or -1 if not found.
*/
int binsearch(int x, int v[], int n);

int arr_test[5] = {3,5,9,10,22};

int main()
{
    char str[] = "Hello there";
    printf ("%s\n", str);

    int testval = 9;
    int result = binsearch(testval, arr_test, 5);

    printf ("binsearch found in pos: %d\n", result);
}


int binsearch(int x, int v[], int n)
{
    int low, high, mid;
    low = 0;
    high = n - 1;
    while (low <= high ) {
        mid = (low+high)/2;
        if (x < v[mid])
            high = mid + 1;
        else if (x > v[mid])
            low = mid + 1;
        else /* found match  */
            return mid;
    }
    return -1; /* no match  */

}
